'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = counterReducer;

var _counterActions = require('../actions/counterActions');

var initialState = {
  counter: 0
};

function counterReducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments[1];

  switch (action.type) {
    case _counterActions.ADD_COUNTER:
      return Object.assign({}, state, {
        counter: state.counter + 1
      });

    case _counterActions.REMOVE_COUNTER:
      return Object.assign({}, state, {
        counter: state.counter - 1
      });

    default:
      return state;
  }
}
//# sourceMappingURL=counterReducer.js.map