'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _Dialog$propTypes;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Dialog = function (_Component) {
  _inherits(Dialog, _Component);

  function Dialog() {
    _classCallCheck(this, Dialog);

    return _possibleConstructorReturn(this, (Dialog.__proto__ || Object.getPrototypeOf(Dialog)).apply(this, arguments));
  }

  _createClass(Dialog, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.toggleModal(this.props.name, this.props.isOpened);
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate() {
      this.toggleModal(this.props.name, this.props.isOpened);
    }
  }, {
    key: 'toggleModal',
    value: function toggleModal(name, isOpened) {
      $('#' + name).modal({
        onApprove: function onApprove() {
          return false;
        },
        blurring: true
      }).modal(isOpened ? 'show' : 'hide');
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props;
      var name = _props.name;
      var header = _props.header;
      var description = _props.description;
      var iconClass = _props.iconClass;
      var confirmButtonText = _props.confirmButtonText;
      var cancelButtonText = _props.cancelButtonText;
      var isTypical = _props.isTypical;
      var onSubmit = _props.onSubmit;
      var onCancel = _props.onCancel;


      var typicalClass = isTypical ? '' : 'basic';

      return _react2.default.createElement(
        'div',
        { id: name, className: 'ui large modal ' + typicalClass },
        _react2.default.createElement(
          'div',
          { className: 'ui icon header' },
          _react2.default.createElement('i', { className: iconClass + ' icon' }),
          header
        ),
        _react2.default.createElement(
          'div',
          { className: 'content' },
          _react2.default.createElement(
            'p',
            { className: 'large text' },
            description
          )
        ),
        _react2.default.createElement(
          'div',
          { className: 'actions' },
          _react2.default.createElement(
            'div',
            {
              onClick: onCancel,
              className: 'ui red inverted button large ' + typicalClass
            },
            _react2.default.createElement('i', { className: 'remove icon' }),
            cancelButtonText
          ),
          _react2.default.createElement(
            'div',
            {
              onClick: onSubmit,
              className: 'ui green inverted button large'
            },
            _react2.default.createElement('i', { className: 'checkmark icon' }),
            confirmButtonText
          )
        )
      );
    }
  }]);

  return Dialog;
}(_react.Component);

Dialog.defaultProps = {
  name: 'default-dialog',
  confirmButtonText: 'Yes',
  cancelButtonText: 'No',
  iconClass: 'warning sign',
  header: 'Are you sure?',
  description: 'Action cannot be reversed.',
  isOpened: false,
  isTypical: false
};

Dialog.propTypes = (_Dialog$propTypes = {
  onSubmit: _react.PropTypes.func.isRequired,
  onCancel: _react.PropTypes.func.isRequired,
  header: _react.PropTypes.string.isRequired
}, _defineProperty(_Dialog$propTypes, 'header', _react.PropTypes.string.isRequired), _defineProperty(_Dialog$propTypes, 'description', _react.PropTypes.string), _defineProperty(_Dialog$propTypes, 'name', _react.PropTypes.string), _defineProperty(_Dialog$propTypes, 'confirmButtonText', _react.PropTypes.string), _defineProperty(_Dialog$propTypes, 'cancelButtonText', _react.PropTypes.string), _defineProperty(_Dialog$propTypes, 'iconClass', _react.PropTypes.string), _defineProperty(_Dialog$propTypes, 'isOpened', _react.PropTypes.bool), _defineProperty(_Dialog$propTypes, 'isTypical', _react.PropTypes.bool), _Dialog$propTypes);

exports.default = Dialog;
//# sourceMappingURL=Dialog.js.map