'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = FormValidation;

var _reactIntl = require('react-intl');

var _reactValidationMixin = require('react-validation-mixin');

var _reactValidationMixin2 = _interopRequireDefault(_reactValidationMixin);

var _joiValidationStrategy = require('joi-validation-strategy');

var _joiValidationStrategy2 = _interopRequireDefault(_joiValidationStrategy);

var _i18nValidationMessages = require('../constants/i18nValidationMessages');

var _i18nValidationMessages2 = _interopRequireDefault(_i18nValidationMessages);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// A higher order function to transform Joi validation messages to i18n compatible format
// with wrapping both react-validation-mixin, joi-validation-strategy and injectIntl
// into a single wrapper for simplicity
function FormValidation(TargetComponent) {
  var composeValidation = (0, _reactValidationMixin2.default)((0, _joiValidationStrategy2.default)(_i18nValidationMessages2.default));
  return (0, _reactIntl.injectIntl)(composeValidation(TargetComponent));
}
//# sourceMappingURL=FormValidation.js.map