'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ErrorMessages;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _lodash = require('lodash');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ErrorMessages(_ref) {
  var header = _ref.header;
  var fields = _ref.fields;

  if (!(0, _lodash.isPlainObject)(fields)) {
    return null;
  }

  var messages = Object.keys(fields).filter(function (key) {
    return fields[key].touched;
  }).filter(function (key) {
    return fields[key].error;
  }).map(function (key) {
    return fields[key].error;
  });

  if ((0, _lodash.isEmpty)(messages)) {
    return null;
  }

  return _react2.default.createElement(
    'div',
    { className: 'ui error message' },
    _react2.default.createElement(
      'div',
      { className: 'header' },
      header
    ),
    _react2.default.createElement(
      'ul',
      { className: 'list' },
      messages.map(function (message, key) {
        return _react2.default.createElement(
          'li',
          { key: key },
          message
        );
      })
    )
  );
}

ErrorMessages.defaultProps = {
  header: 'Opps',
  fields: {}
};

ErrorMessages.propTypes = {
  header: _react.PropTypes.string,
  fields: _react.PropTypes.object
};
//# sourceMappingURL=ErrorMessages.js.map