'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = StripedSlider;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _stripedSlider = require('./striped-slider.css');

var _stripedSlider2 = _interopRequireDefault(_stripedSlider);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function StripedSlider(_ref) {
  var items = _ref.items;
  var height = _ref.height;

  var eachItems = items.map(function (item) {
    return _react2.default.createElement(
      'div',
      { className: _stripedSlider2.default.item },
      _react2.default.createElement(
        'div',
        {
          className: _stripedSlider2.default['item-inner'],
          style: {
            backgroundImage: 'url(\'' + item.imageUrl + '\')',
            backgroundColor: item.colorPlaceholder
          }
        },
        _react2.default.createElement(
          'h2',
          null,
          item.title
        ),
        _react2.default.createElement(
          'span',
          null,
          item.description
        )
      )
    );
  });

  return _react2.default.createElement(
    'div',
    { className: _stripedSlider2.default.wrapper, style: { height: height } },
    eachItems
  );
}

StripedSlider.defaultProps = {
  items: [],
  height: '100vh'
};

StripedSlider.propTypes = {
  items: _react.PropTypes.array.isRequired,
  height: _react.PropTypes.string
};
//# sourceMappingURL=StripedSlider.js.map